* {
  color: red;
}

#heading {
  font-size: 40px;
  text-transform: uppercase;
  color: blue;
}

.heading {
  font-size: 20px;
  text-transform: capitalize;
  color: green;
}

p {
  letter-spacing: 20px;
}

div h1 {
  color: red;
}

div > h1 {
  color: blue;
}

.header h1 {
  color: green;
}

/* ::first-line  ::first-letter */

/* styles first line */
p::first-line {
  font-weight: bold;
}

p::first-letter {
  font-size: 3rem;
}

/* Hover */
p:hover {
  color: red;
}

.header:hover {
  color: blue;
}

a:hover {
  text-decoration: none;
}

/* :link :visited :hover :active */

a:link {
  color: aqua;
}

a:visited {
  color: red;
}

a:hover {
  color: blue;
}

a:active {
  color: green;
}

:root {
  background: aqua;
  font-size: 150%;
}

h1 {
  font-size: 3rem;
}

.absolute {
  font-size: 24px;
}

.responsive {
  font-size: 1.5rem;
}
